#pragma GCC optimize("O3")
#pragma GCC optimize("Ofast")
#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
#define ff first
#define ss second
#define all(v) v.begin(),v.end()
#define ll long long
using namespace std;

vector<int> solve(vector<int> a) {
    int n = a.size();
    vector <int> ans;
    for (int i = 1; i < n; i+=2) ans.pb(i);
    for (int i = 0; i < n; i+=2) ans.pb(i);
    return ans;
}

